### Signal

# Soup Message::got-headers

#### Declaration

    void
    got_headers (
      SoupMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted after receiving the Status-Line and response headers.

See also `soup_message_add_header_handler()` and `soup_message_add_status_code_handler()`, which can be used to connect to a subset of emissions of this signal.

If you cancel or requeue `msg` while processing this signal, then the current HTTP I/O will be stopped after this signal emission finished, and `msg`‘s connection will be closed. (If you need to requeue a message—eg, after handling authentication or redirection—it is usually better to requeue it from a `SoupMessage::got-body` handler rather than a `SoupMessage::got-headers` handler, so that the existing HTTP connection can be reused.)

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.